---@class Mod
---@field Name string
__class_Mod = {}

---@param modCallback ModCallbacks
---@param callback fun(): void
---@vararg any
---@return void
function __class_Mod:AddCallback(modCallback, callback, ...) end
---@return boolean
function __class_Mod:HasData() end
---@return string
function __class_Mod:LoadData() end
---@param callbackID ModCallbacks
---@param callback fun(): void
---@return void
function __class_Mod:RemoveCallback(callbackID, callback) end
---@return void
function __class_Mod:RemoveData() end
---@param data string
function __class_Mod:SaveData(data) end